import BaseComponent from 'primevue/basecomponent';
import { renderSlot } from 'vue';

var script = {
    name: 'TabPanel',
    extends: BaseComponent,
    props: {
        header: null,
        icon:null,
        headerStyle: null,
        headerClass: null,
        headerProps: null,
        headerActionProps: null,
        contentStyle: null,
        contentClass: null,
        contentProps: null,
        disabled: Boolean
    }
};

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return renderSlot(_ctx.$slots, "default")
}

script.render = render;
script.__file = "components/lib/tabpanel/TabPanel.vue";

export { script as default };
